=== modified file 'src/auth/UserRequest.cc'
--- src/auth/UserRequest.cc	2009-07-15 11:35:00 +0000
+++ src/auth/UserRequest.cc	2010-03-05 23:24:53 +0000
@@ -588,9 +588,12 @@
             for (authConfig::iterator  i = Config.authConfiguration.begin(); i != Config.authConfiguration.end(); ++i) {
                 AuthConfig *scheme = *i;
 
-                if (scheme->active())
-                    scheme->fixHeader(NULL, rep, type, request);
-                else
+                if (scheme->active()) {
+		    if (auth_user_request && auth_user_request->user()->config == scheme)
+			scheme->fixHeader(auth_user_request, rep, type, request);
+		    else
+			scheme->fixHeader(NULL, rep, type, request);
+                } else
                     debugs(29, 4, "authenticateFixHeader: Configured scheme " << scheme->type() << " not Active");
             }
         }


